Alokai

SapccApiDoSubscribeToCustomerCouponRequest

Request parameters for doSubscribeToCustomerCoupon operation in SapccApi. SapccApiDoSubscribeToCustomerCouponRequest

interface SapccApiDoSubscribeToCustomerCouponRequest {
	readonly baseSiteId: string;
	readonly couponCode: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiDoSubscribeToCustomerCoupon
couponCodeRequiredstringCoupon code. A valid coupon code can be used to get a discount. {string} SapccApiDoSubscribeToCustomerCoupon
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiDoSubscribeToCustomerCoupon
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiDoSubscribeToCustomerCoupon

On this page